package com.webchat.service.queue.dto;

import lombok.Data;

import java.util.Set;

/**
 * @author 77
 * @date 2024/11/12 23:38
 */
@Data
public class BaseDelayNormalQueueDTO extends BaseQueueDTO {

    private Set<String> messages;


    public static BaseDelayNormalQueueDTO of(Set<String> messages) {
        BaseDelayNormalQueueDTO mess = new BaseDelayNormalQueueDTO();
        mess.setMessages(messages);
        return mess;
    }
}
